> ## Documentation Index
> Fetch the complete documentation index at: https://developer.setle.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Renovation Overview

> Returns a full overview of a renovation.

The selected renovation items can be found within the resulting tree-like object. This object includes a `summary` and a `details` subobject.

### Summary

The summary subobject contains basic information like the total estimated cost for the renovation, the estimated VAT cost and possible subsidy amounts.

### Details

The details subobject contains the actual overview and outline of the renovation and its selected items. This object itself consists of a few nested objects that divide the renovation in logical divisions. General items can be found within the general nested object, room items within rooms and so on. derived is a rather special category, as it contains items that were not explicitly selected by the user, but derived by the system. These mainly give information about projected demolition costs, architecture costs and additional installation costs among others. Please check out the [Renovation Tree Structure](TODO) on more info how renovation items relate to eachother.

The renovation items themselves are included as a next step in these divisions or nodes. Of course, these are the most interesting objects within the renovation overview object. These items are defined by the [RenovationItemMetadata](TODO) type in our system.


## OpenAPI

````yaml GET /v1/renovations/{renovation_id}/overview
openapi: 3.0.0
info:
  title: Setle API
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.setle.app
security: []
tags: []
paths:
  /v1/renovations/{renovation_id}/overview:
    get:
      tags:
        - Renovation
      description: Returns a full overview of a renovation.
      operationId: PublicRenovationsApiController_getRenovationOverview
      parameters:
        - name: renovation_id
          required: true
          in: path
          example: 90e6ee5b-3ae1-4c22-88d0-271e228a52ee
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Request failed because of input validation errors.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultHttpException'
        '500':
          description: Request failed because of internal server error(s).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorException'
      security:
        - bearer: []
components:
  schemas:
    DefaultHttpException:
      type: object
      properties:
        statusCode:
          type: number
          description: >-
            HTTP status code for the response. Can be anything within the 4XX
            and 5XX range.
          example: 400
        message:
          type: object
          description: >-
            Main error message. This will generally be a string or array of
            strings, but could also be a custom object or array of objects
            without predefined schema.
          example:
            - Name should not be empty.
            - Password must contain at least 1 uppercase character.
        error:
          type: string
          description: Short string representation of the status code.
          example: Bad Request
      required:
        - statusCode
        - message
        - error
    InternalServerErrorException:
      type: object
      properties: {}
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````